Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/connected-accounts/apple-confirmed-matches

Apple confirmed matches

Returns the confirmed matches between Synup locations and Apple Business listings for a connected Apple account. These are produced after a location has been connected via the Apple Business Connect OAuth flow (see Connect link for Apple). Results are paginated.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
accountIdstringrequiredAccount ID.
connectedAccountIdstringrequiredID of the connected Apple account.
pageintegerrequiredPage number (1-based).

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/connected-accounts/apple-confirmed-matches?accountId=&connectedAccountId=&page=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "appleConfirmedMatches": {
      "matches": [
        {
          "id": "string",
          "appleBusinessId": "string",
          "connectedAccountId": "string",
          "connectedAccountLabel": "string",
          "connectedAccountsLocationId": "string",
          "lakeRecordId": "string",
          "matchedOn": "2026-01-01T00:00:00Z",
          "synupLocationId": 0
        }
      ],
      "matchesCount": 0,
      "pages": 0
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.appleConfirmedMatchesobjectoptional
data.appleConfirmedMatches.matchesarray of objectoptional
data.appleConfirmedMatches.matches[].idstringoptional
data.appleConfirmedMatches.matches[].appleBusinessIdstringoptional
data.appleConfirmedMatches.matches[].connectedAccountIdstringoptional
data.appleConfirmedMatches.matches[].connectedAccountLabelstringoptional
data.appleConfirmedMatches.matches[].connectedAccountsLocationIdstringoptional
data.appleConfirmedMatches.matches[].lakeRecordIdstringoptional
data.appleConfirmedMatches.matches[].matchedOnstringoptional
data.appleConfirmedMatches.matches[].synupLocationIdintegeroptional
data.appleConfirmedMatches.matchesCountintegeroptionalTotal number of matches.
data.appleConfirmedMatches.pagesintegeroptionalTotal number of pages.